#etapa-conclusao
    div.col-md-6.pull-right.margin-right-xs.text-cloneParecer
        label.pull-left Informe o número do protocolo para copiar as informações do parecer
        br
        div.pull-right.display-clone
            input.form-control.textArea-clone(type='text',name="numeroProcesso", ng-model="ctrl.numeroProcessoClone", ng-disabled = "ctrl.analiseTecnica.inconsistencias.length > 0")
            button.btn.btn-default.tamanho-botaoClone(type="submit", name="clonar", ng-click="ctrl.clonarParecerTecnico()", ng-disabled = "ctrl.analiseTecnica.inconsistencias.length > 0")
                i.glyphicon.glyphicon-duplicate.glyphicon--with-right-margin
                | Copiar parecer

hr

#campos-analise-tecnica
    div(ng-class="{'error-summernote': ctrl.errors.doProcesso === true}")
        label.label-parecer Do processo:
        br
        div(ng-class="{ 'error-summernote': ctrl.errors.doProcesso }")
            summernote.campos-parecer(id="doProcesso",
                        on-paste="snPaste(evt)",
                        name="doProcesso",
                        lang="pt-BR",
                        height="200",
                        ng-model="ctrl.parecer.doProcesso",
                        config="optionsText")

    div(ng-class="{'error-summernote': ctrl.errors.daAnaliseTecnica === true}")
        label.label-parecer Da análise técnica:
        br
        div(ng-class="{ 'error-summernote': ctrl.errors.daAnaliseTecnica }")
            summernote.campos-parecer(id="daAnaliseTecnica",
                        on-paste="snPaste(evt)",
                        name="daAnaliseTecnica",
                        lang="pt-BR",
                        height="200",
                        ng-model="ctrl.parecer.daAnaliseTecnica",
                        config="optionsText")

    div(ng-class="{'error-summernote': ctrl.errors.daConclusao === true}")
        label.label-parecer Da conclusão:
        br
        div(ng-class="{ 'error-summernote': ctrl.errors.daConclusao }")
            summernote.campos-parecer(id="daConclusao",
                        on-paste="snPaste(evt)",
                        name="daConclusao",
                        lang="pt-BR",
                        height="200",
                        ng-model="ctrl.parecer.daConclusao",
                        config="optionsText")
    
    div.btn.btn-default(style="margin-bottom:10px",type="file", name="arquivo", ngf-select="ctrl.upload($file, $invalidFile, ctrl.tiposUpload.PARECER_ANALISE_TECNICA)", ngf-accept="'application/pdf'", ngf-pattern="'application/pdf'", ngf-max-size="{{ctrl.TAMANHO_MAXIMO_ARQUIVO_MB}}MB")
        i.glyphicon.glyphicon-open.glyphicon--with-right-margin
        | Anexar arquivos ao parecer

    table.table.table-condensed(ng-if="ctrl.getDocumentosParecer().length > 0")

        thead

            tr
                th.col-md-10 Documento anexado
                th.col-md-2.text-right Ações

        tbody

            tr(ng-repeat="documento in ctrl.getDocumentosParecer()")

                td.col-md-10 {{documento.nomeDoArquivo}}
                td.col-md-2.text-right
                    a.d-inline.margin-right-xs(style='cursor: pointer;',title="Visualizar anexo", ng-click="ctrl.baixarDocumento(documento)")
                        i.glyphicon.glyphicon-eye-open

                    a.d-inline.margin-right-xs(style='cursor: pointer;',title="Remover anexo", ng-click="ctrl.removerDocumento(documento)")
                        i.glyphicon.glyphicon-trash
    i.info-sem-dados-para-exibir(style="color:red; display:flex;", ng-if="ctrl.errors.isPdf === true")

#conclusao
    hr
    label
        div.pull-left.col-md-10.posicao-principal
            form.pull-left.posicao-conteudo
                label.opDla.radio-inline.posicao-primeiroItem(ng-class="{ 'disable-hover': ctrl.hasInconsistencias() }")
                    input(type='radio', name='analiseFinalRadio', ng-model='ctrl.parecer.tipoResultadoAnalise.id', value="{{ctrl.tiposResultadoAnalise.DEFERIDO}}", ng-disabled="ctrl.hasInconsistencias()", ng-checked="{{ctrl.checkTipoResultadoAnalise(ctrl.tiposResultadoAnalise.DEFERIDO)}}")
                    | Deferido
                label.opDla.radio-inline(ng-class="{ 'disable-hover': ctrl.hasInconsistencias() }")
                    input(type='radio', name='analiseFinalRadio', ng-model='ctrl.parecer.tipoResultadoAnalise.id', value="{{ctrl.tiposResultadoAnalise.INDEFERIDO}}", ng-disabled="ctrl.hasInconsistencias()", ng-checked="{{ctrl.checkTipoResultadoAnalise(ctrl.tiposResultadoAnalise.INDEFERIDO)}}")
                    | Indeferido
                label.opDla.radio-inline(ng-class="{ 'disable-hover': !ctrl.hasInconsistencias() }")
                    input(type='radio', name='analiseFinalRadio', ng-model='ctrl.parecer.tipoResultadoAnalise.id', value="{{ctrl.tiposResultadoAnalise.EMITIR_NOTIFICACAO}}", ng-disabled="!ctrl.hasInconsistencias()", ng-checked="{{ctrl.checkTipoResultadoAnalise(ctrl.tiposResultadoAnalise.EMITIR_NOTIFICACAO)}}")
                    | Emitir notificação

    .deferido(ng-if="ctrl.checkTipoResultadoAnalise(ctrl.tiposResultadoAnalise.DEFERIDO)")

        label.tipoLicenca {{ ctrl.tipoLicenca.nome }} ({{ ctrl.porteEmpreendimento.nome }})

        div(ng-if="ctrl.possuiValidade === true")
            //- span Validade da licença solicitada pelo interessado: 
            //-     b {{ ctrl.validadeAnos }} anos

            .validade
                label.control-label.obrigatorio Validade permitida:
                select.form-control.select(ng-model="ctrl.parecer.validadePermitida", name="selectMunicipio", ng-class="{ 'error-summernote': ctrl.errors.deferido.validade }")
                    option(value="1") 1 ano
                    each i in [2, 3, 4, 5, 6, 7, 8, 9, 10]
                        option(value=i) #{i} anos

        label.obrigatorio Finalidade da atividade:
        div(ng-class="{ 'error-summernote': ctrl.errors.deferido.finalidade }")
            summernote.campos-parecer(id="finalidade",
                        on-paste="snPaste(evt)",
                        name="finalidade",
                        lang="pt-BR",
                        height="200",
                        ng-model="ctrl.parecer.finalidadeAtividade",
                        config="optionsText")

        .inclusoes
            label Condicionantes
            button.btn.btn-default.pull-left.btn-incluir-condicionante(ng-click="ctrl.addCondicionante()")
                i.glyphicon.glyphicon-plus
                |  Incluir condicionante

            table.table.table-striped.table-condensed.no-margin.table-responsive.tabela(style="border: 1px solid #d0cbcb;", ng-if="ctrl.parecer.condicionantes && ctrl.parecer.condicionantes.length > 0")
                thead
                    tr
                    th.col-md-5 Condicionante
                    th.col-md-2 Prazo
                    th.col-md-1.text-right Ações

                tbody(ng-repeat="condicionante in ctrl.parecer.condicionantes")
                    tr
                        td.limite-texto {{ condicionante.texto }}
                        td.col-md-2 {{ condicionante.prazo || "-"}}
                        td.col-md-1.text-right
                            i.glyphicon.glyphicon-trash.pointer.posicao-excluir(title='Excluir condicionante',
                                    ng-bootbox-title='Confirmação',
                                    ng-bootbox-confirm='Deseja realmente excluir esta condicionante ?',
                                    ng-bootbox-confirm-action="ctrl.excluirCondicionante(condicionante)")

        .inclusoes
            label Restrições
            button.btn.btn-default.pull-left.btn-incluir-restricao(ng-click="ctrl.addRestricao()")
                i.glyphicon.glyphicon-plus
                |  Incluir restrição

            table.table.table-striped.table-condensed.no-margin.table-responsive.tabela(style="border: 1px solid #d0cbcb;", ng-if="ctrl.parecer.restricoes && ctrl.parecer.restricoes.length > 0")
                thead
                    tr
                    th.col-md-6 Recomendações
                    th.col-md-1.text-right Ações

                tbody(ng-repeat="restricao in ctrl.parecer.restricoes")
                    tr
                    td.limite-texto  {{ restricao.texto }}
                    td.col-md-1.alinhamento-acao
                        i.glyphicon.glyphicon-trash.pointer.text-right(title='Excluir restrição',
                                ng-bootbox-title='Confirmação',
                                ng-bootbox-confirm='Deseja realmente excluir esta restrição ?',
                                ng-bootbox-confirm-action="ctrl.excluirRestricao(restricao)")

        br

        label.obrigatorio Despacho:
        div(ng-class="{ 'error-summernote': ctrl.errors.deferido.despacho }")
            summernote.campos-parecer(id="parecer",
                        on-paste="snPaste(evt)",
                        name="parecer",
                        lang="pt-BR",
                        height="200",
                        ng-model="ctrl.parecer.parecer",
                        config="optionsText")

    div(ng-if="ctrl.parecer.tipoResultadoAnalise.id === ctrl.tiposResultadoAnalise.INDEFERIDO.toString()")
        label.obrigatorio Despacho:
        br
        textarea.tamanho-obs(name="justificativa", ng-model="ctrl.parecer.parecer", ng-class="{'error': ctrl.errors.parecer === true}")

    div(ng-if="ctrl.checkTipoResultadoAnalise(ctrl.tiposResultadoAnalise.EMITIR_NOTIFICACAO)")
        #inconsistencias
            table.table.table-condensed(ng-if="ctrl.inconsistenciasAdicionadas.length > 0 || ctrl.inconsistenciasGeoAdicionadas.length > 0")

                thead

                    tr
                        th.col-md-8 Inconsistências encontradas
                        th.col-md-3 Categoria
                        th.col-md-1.text-right Visualizar

                tbody

                    tr(ng-repeat="inconsistencia in ctrl.inconsistenciasAdicionadas")

                        td.col-md-8 {{inconsistencia.inconsistenciaEncontrada}}
                        td.col-md-3 {{inconsistencia.categoria}}
                        td.col-md-1.text-center
                            a.d-inline.margin-right-xs(style='cursor: pointer;', ng-click="ctrl.abrirModalVisualizarInconsistenciaTecnica(inconsistencia)")
                                i.glyphicon.glyphicon-eye-open

                    tr(ng-repeat="inconsistencia in ctrl.inconsistenciasGeoAdicionadas")

                        td.col-md-8 {{inconsistencia.inconsistenciaEncontrada}}
                        td.col-md-3 {{inconsistencia.categoria}}
                        td.col-md-1.text-center
                            a.d-inline.margin-right-xs(style='cursor: pointer;', ng-click="ctrl.abrirModalVisualizarInconsistenciaTecnica(inconsistencia)")
                                i.glyphicon.glyphicon-eye-open
        
        #lista-restricoes
            #accordion.panel-group
                .atendimento-notificacao
                    div.label-atendimento-notificacao
                        label.obrigatorio Atendimento:
                    div.check-atendimento-notificacao(ng-class="{'error-summernote': ctrl.errors.atendimento === true}")
                        label.checkbox-inline
                            input.checkbox-notificacao(type='checkbox', placeholder='Documentação', ng-model='ctrl.notificacao.documentacao', ng-click = "ctrl.checkedDocumentacao()")
                            |  Documentação
                        label.checkbox-inline
                            input.checkbox-notificacao(type='checkbox', placeholder='Retificação do empreendimento', ng-model='ctrl.notificacao.retificacaoEmpreendimento', ng-click = "ctrl.checkedRetificacaoEmpreendimento()")
                            |  Retificação do empreendimento
                        label.checkbox-inline
                            input.checkbox-notificacao(type='checkbox', placeholder='Retificação da solitação', ng-model='ctrl.notificacao.retificacaoSolicitacao', ng-click = "ctrl.checkedRetificacaoSolicitacao()", ng-checked = 'ctrl.notificacao.retificacaoEmpreendimento', ng-disabled='ctrl.notificacao.retificacaoEmpreendimento')
                            |  Retificação da solicitação
                        div.retificacao-com-geo(ng-show='ctrl.notificacao.retificacaoSolicitacao || ctrl.notificacao.retificacaoEmpreendimento')
                            label.radio-inline
                                input(type='radio', name='retificacaoSolicitacaoGeo', ng-model='ctrl.notificacao.retificacaoSolicitacaoComGeo', value='true', ng-checked='ctrl.notificacao.retificacaoEmpreendimento', ng-disabled='ctrl.notificacao.retificacaoEmpreendimento')
                                | Com alteração GEO
                            label.radio-inline
                                input(type='radio', name='retificacaoSolicitacaoGeo', ng-model='ctrl.notificacao.retificacaoSolicitacaoComGeo', value='false', ng-disabled='ctrl.notificacao.retificacaoEmpreendimento')
                                | Sem alteração GEO

                br
                div
                    label.obrigatorio Prazo para atendimento da notificação:
                    select.prazo-dias(ng-model="ctrl.notificacao.prazoNotificacao", name="prazo",ng-class="{'error': ctrl.errors.prazoNotificacao === true}")
                        option(value="")
                        option(value="15") 15 dias
                        option(value="30") 30 dias
                        option(value="45") 45 dias
                        option(value="60") 60 dias
                br
                label.obrigatorio Descrição da Solicitação:
                br
                textarea.tamanho-obs(name="despacho", ng-model="ctrl.parecer.parecer",ng-class="{'error': ctrl.errors.parecer === true}")

        div.btn.btn-default(style="margin-bottom:10px",type="file", name="arquivo", ngf-select="ctrl.upload($file, $invalidFile, ctrl.tiposUpload.NOTIFICACAO)", ngf-accept="'application/pdf'", ngf-pattern="'application/pdf'", ngf-max-size="{{ctrl.TAMANHO_MAXIMO_ARQUIVO_MB}}MB")
            i.glyphicon.glyphicon-open.glyphicon--with-right-margin
            | Anexar arquivos à notificação

        table.table.table-condensed(ng-if="ctrl.getDocumentosNotificacao().length > 0")

            thead

                tr
                    th.col-md-10 Documento anexado
                    th.col-md-2.text-right Ações

            tbody

                tr(ng-repeat="documento in ctrl.getDocumentosNotificacao()")

                    td.col-md-10 {{documento.nomeDoArquivo}}
                    td.col-md-2.text-right
                        a.d-inline.margin-right-xs(style='cursor: pointer;',title="Visualizar anexo", ng-click="ctrl.baixarDocumento(documento)")
                            i.glyphicon.glyphicon-eye-open

                        a.d-inline.margin-right-xs(style='cursor: pointer;',title="Remover anexo", ng-click="ctrl.removerDocumento(documento)")
                            i.glyphicon.glyphicon-trash
